GREG(1)

NAME
greg - test driver

SYNOPSIS
greg [OPTION]... [FILE]...

DESCRIPTION
greg runs the tests in FILEs. It prints the unexpected test results, as well as a summary, to standard out.

EXIT STATUS
greg returns 1 if any test has an unexpected results; otherwise it returns 0.

OPTIONS

--tool TOOL
    Run the test scripts found in the subdirectory TOOL.

--file SCRIPT
    Run the test scripts found in the file SCRIPT.

--debug
    Print extra debugging output to tests.dbg.

--objdir PATH
    Use PATH as the top directory to locate any auxiliary compiled test code.

--outdir PATH
    Write the output logs in PATH.

--srcdir PATH
    Use PATH as the top directory for test scripts to run.

-v, --verbose
    Print results of all tests, and a more verbose summary.

--help
    Print a short summary of greg's options and exit.

-V, --version
    Print the version number and exit.

AUTHOR
greg was written by Richard Frith-Macdonald <rfm@gnu.org>. This manual page was written by Matt Kraai <kraai@debian.org>.

SEE ALSO
greg.info